Class | Ferret::Search::Spans::SpanTermQuery
In: | ext/r_search.c
Parent: | Ferret::Search::Query

## Summary

A SpanTermQuery is the Spans version of TermQuery, the only difference being that it returns the start and end offset of all of its matches for use by enclosing SpanQueries.

### Methods

new

### Public Class methods

SpanTermQuery.new(field, term) → query

Create a new SpanTermQuery which matches all documents with the term `term` in the field `field`.

[Validate]